org.apache.lucene.analysis.icu

## Class ICUFoldingFilterFactory

- java.lang.Object
- - org.apache.lucene.analysis.util.AbstractAnalysisFactory
  - - org.apache.lucene.analysis.util.TokenFilterFactory
    - - org.apache.lucene.analysis.icu.ICUFoldingFilterFactory

All Implemented Interfaces:
  MultiTermAwareComponent

    public class ICUFoldingFilterFactory
    extends TokenFilterFactory
    implements MultiTermAwareComponent

Factory for `ICUFoldingFilter`

### Field Summary

### Fields inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory

`args, luceneMatchVersion`

### Constructor Summary

Constructors
Constructor and Description
`ICUFoldingFilterFactory()` Sole constructor.

### Method Summary

Methods
`TokenStream` `create(TokenStream input)`
`AbstractAnalysisFactory` `getMultiTermComponent()`

### Methods inherited from class org.apache.lucene.analysis.util.TokenFilterFactory

`availableTokenFilters, forName, lookupClass, reloadTokenFilters`

### Methods inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory

`assureMatchVersion, getArgs, getBoolean, getBoolean, getInt, getInt, getInt, getLines, getLuceneMatchVersion, getOriginalArgs, getPattern, getSnowballWordSet, getWordSet, init, setLuceneMatchVersion, splitFileNames`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ICUFoldingFilterFactory

    public ICUFoldingFilterFactory()

Sole constructor. See `AbstractAnalysisFactory` for initialization lifecycle.

### Method Detail

#### create

    public TokenStream create(TokenStream input)

Specified by:
  `create` in class `TokenFilterFactory`

#### getMultiTermComponent

    public AbstractAnalysisFactory getMultiTermComponent()

Specified by:
  `getMultiTermComponent` in interface `MultiTermAwareComponent`